
package lab08_solutions;

import lab07_solutions.BinaryTree;

public class TestAvlTree {

	/**
	 * @param args
	 */
	public static void main(String[] args) {
		BinaryTree binary = new BinaryTree();
		AvlTree<Integer> avl = new AvlTree<Integer>();
		
		for(int i=0; i<1000; i++){
			binary.insert(i);
			avl.insert(i);
		}
		
		System.out.println(binary.getHeight());
		System.out.println(avl.getHeight());
		
		long start_binary = System.currentTimeMillis();
		binary.lookup(999);
		long end_binary = System.currentTimeMillis();
		System.out.println("Binary lookup:" + (end_binary-start_binary));
		

		long start_avl = System.currentTimeMillis();
		avl.contains(999);
		long end_avl = System.currentTimeMillis();
		System.out.println("AVL lookup:" + (end_avl-start_avl));

	}

}
